5
lyxsus
65d

You must've heard of recent unfamous CVE-2019-5736 vulnerability. This morning one of my hosting providers forcefully updated k8s version because of that. They also provide terraform module for k8s, which has "version" field required.

So during regular CI/CD process, TF decided it wants to recreate all existing clusters on that provider, basically wiping out everything there is.

No dataloss or operations disruption was registered, but a day was ruined. Guess nobody to blame except me.

Comments
Your Job Suck?
Get a Better Job
Add Comment